Bug 1576276 (CVE-2018-5176) - CVE-2018-5176 Mozilla: JSON Viewer script injection
Summary: CVE-2018-5176 Mozilla: JSON Viewer script injection
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5176
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:16 UTC by Doran Moppert
Modified: 2021-02-17 00:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:18 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:16:02 UTC
The JSON Viewer displays clickable hyperlinks for strings that are parseable as URLs, including `javascript:` links. If a JSON file contains malicious JavaScript script embedded as `javascript:` links, users may be tricked into clicking and running this code in the context of the JSON Viewer. This can allow for the theft of cookies and authorization tokens which are accessible to that context.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5176

Comment 1 Doran Moppert 2018-05-09 07:16:07 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Tadj Youssouf


Note You need to log in before you can comment on or make changes to this bug.